# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/power/supply/max77650-charger.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Battery charger driver for MAX77650 PMIC from Maxim Integrated.

maintainers:
  - Bartosz Golaszewski <bgolaszewski@baylibre.com>

description: |
  This module is part of the MAX77650 MFD device. For more details
  see Documentation/devicetree/bindings/mfd/max77650.yaml.

  The charger is represented as a sub-node of the PMIC node on the device tree.

properties:
  compatible:
    const: maxim,max77650-charger

  input-voltage-min-microvolt:
    description:
      Minimum CHGIN regulation voltage.
    enum: [ 4000000, 4100000, 4200000, 4300000,
            4400000, 4500000, 4600000, 4700000 ]

  input-current-limit-microamp:
    description:
      CHGIN input current limit (in microamps).
    enum: [ 95000, 190000, 285000, 380000, 475000 ]

required:
  - compatible
additionalProperties: false

...
